Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class ResponseCodeMappingData

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.ResponseCodeMappingData

All Implemented Interfaces:
  UrlMappingData

    public class ResponseCodeMappingData

A mapping data for response codes (numbers)

Authors:
  mike

Since:
  1.0-RC1

Constructor Summary
`ResponseCodeMappingData(java.lang.String responseCode)`

Method Summary
`String[]` | `getLogicalUrls()`
`int` | `getResponseCode()`
`String[]` | `getTokens()`
`java.lang.String` | `getUrlPattern()`
`boolean` | `isOptional(int index)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ResponseCodeMappingData

    public ResponseCodeMappingData(java.lang.String responseCode)

Method Detail

### getLogicalUrls

    public String[] getLogicalUrls()

### getResponseCode

    public int getResponseCode()

### getTokens

    public String[] getTokens()

### getUrlPattern

    public java.lang.String getUrlPattern()

### isOptional

    public boolean isOptional(int index)

Groovy Documentation